import React from "react";
import classes from "./Aside.module.css";
import CategoriesItem from "./CategoriesItem/CategoriesItem";
import { useEffect } from "react";

const Aside = (state) => {
  useEffect(() => state.drawMainMenu(),[])
  

  if (state.cats) {
    let catsq = state.cats.map((el) => (
      <CategoriesItem name={el.name} _id={el._id} />
    ));

    return <aside className={classes.aside}>{catsq}</aside>;
  } else {
    return <div>Loading...</div>;
  }
};
export default Aside;
