import Aside from "./Aside";
import { connect } from "react-redux";
import { actionRootCategories } from "../../redux/promiseReducer";

let mapStateToProps = (state) => {
  return {
    cats: state.promiseReducer.rootCategories?.payload?.data?.CategoryFind,
  };
};

let mapDispatchToProps = (dispatch) => {
  return {
    drawMainMenu:  () => {
      dispatch(actionRootCategories());
    },
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(Aside);
