import React from "react";
import { NavLink } from "react-router-dom";
import classes from "./Cart.module.css";
import { connect } from 'react-redux';

const Cart = (props) => {
  return (
    <div className={classes.cartHolder}>
      { props.loggedIn &&
(      <NavLink to="/cart">
        <img
          src="https://i.pinimg.com/originals/15/4f/df/154fdf2f2759676a96e9aed653082276.png"
          alt=""
          className={classes.cartImg}
        ></img>
      </NavLink>)}
    </div>
  );
};

export default connect((store) => ({loggedIn: store.authReducer.token }), {})(Cart);
