import React from "react";
import { NavLink } from "react-router-dom";
import classes from "./CatByIdItem.module.css";


const CatByIdItem = (props) => {
  let path = `/good/${props.cardElements._id}`;
  return (
    <div className={classes.divGood}>
      <img src={`http://shop-roles.asmer.fs.a-level.com.ua/${props.cardElements.images[0].url}`} />
      <NavLink className={classes.goodLink} to={path}>{props.cardElements.name}</NavLink>
      <div className={classes.goodPrice}>Цена: {props.cardElements.price} грн</div>
      <NavLink className={classes.goodLink} to={path}><button className={classes.goodButton}> Купить</button></NavLink>
    </div>
  );
}; 

export default CatByIdItem;


