import React from "react";
import { useEffect } from "react";
import { useParams } from "react-router";
import CatByIdItem from "./CatByIdItem/CatByIdItem";
import classes from "./MainGoods.module.css";

const MainGoods = (state) => {
  
  let { id } = useParams();
  useEffect(() => state.drawCatById(id), [id]);
  
  if (state.catByIdGood?.goods) {
    let catByIdq = state.catByIdGood.goods.map((el) => (
      <CatByIdItem actionCartAdd={state.actionCartAdd} good={state.good} cardElements={el} />
    ));

    return (
      <div>
        <h1 className={classes.catHeader}>{state.catByIdGood.name}</h1>
        <div className={classes.cardWrapper}>{catByIdq}</div>
      </div>
    );
  } else {
    return <div className={classes.loader}>loading...</div>;
  }
};
export default MainGoods;
