import MainGoods from "./MainGoods";
import { connect } from "react-redux";
import { actionCategoryById } from "../../../redux/promiseReducer";
import { actionCartAdd } from "../../../redux/cartReducer";


let mapStateToProps = (state) => {
  return {
    catByIdGood: state.promiseReducer.catById?.payload?.data?.CategoryFindOne,
    urlId: document.location.pathname.split("/")[2],
    good: state.promiseReducer.goodById?.payload?.data?.GoodFindOne,

  };
};

let mapDispatchToProps = (dispatch) => {
  return {
    drawCatById: (_id) => {
      dispatch(actionCategoryById(_id));

    },
    actionCartAdd: (good) => {
      dispatch(actionCartAdd(good));
    },
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(MainGoods);
