import MainRegister from "./MainRegister";
import { connect } from "react-redux";
import { actionFullRegister } from "../../../redux/authReducer";

let mapStateToProps = (state) => {
  return {
    loggedIn: state.authReducer.token
  }
};

let mapDispatchToProps = (dispatch) => {
  return {
    auth: (login, password) => {
      dispatch(actionFullRegister(login, password));
    },
    
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(MainRegister);
