import React from "react";
import classes from "./Header.module.css";
import Login from "../Header/Login/Login";
import Register from "../Header/Register/Register";
import Cart from "../Header/Cart/Cart";
import logo from "../../assets/images/github_logo.png"

const Header = () => {
  return (
    <header className={classes.header}>
      <div><img className={classes.logo} src={logo} /></div>
      <nav className={classes.nav}>
        <div>
          <Login></Login>
          <Register></Register>
        </div>
        <Cart></Cart>
      </nav>
    </header>
  );
};

export default Header;
