import React from "react";
import { connect } from "react-redux";
import { NavLink } from "react-router-dom";
import classes from "./Register.module.css";

const Register = (props) => {
  return (
    <div>
      {props.loggedIn ? null : (
        <NavLink className={classes.loginLink} to="/register">
          Register
        </NavLink>
      )}
    </div>
  );
};

export default connect((store) => ({loggedIn: store.authReducer.token }), {})(Register);