import MainCart from "./MainCart";
import { connect } from "react-redux";
import { actionCartAdd, actionCartClear, actionCartDelete, actionCreateOrder } from "../../../redux/cartReducer";

let mapStateToProps = (state) => {
  return {

    cart: state.cartReducer,
    loggedIn: state.authReducer.token,
    good: state.promiseReducer.goodById?.payload?.data?.GoodFindOne,

  };
};


let mapDispatchToProps = (dispatch) => {
  return {
    actionCreateOrder: (_id,count) => {
      dispatch(actionCreateOrder(_id,count));
    },
    actionCartAdd: (good, count = 1) => {
      dispatch(actionCartAdd(good,count));
    },
    actionCartDelete: (good, count = 1) => {
      dispatch(actionCartDelete(good, count));
    },
    actionCartClear: (good, count = 1) => {
      dispatch(actionCartClear(good, count));
    },
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(MainCart);
