import MainLogin from "./MainLogin";
import { connect } from "react-redux";
import { actionFullLogin } from "../../../redux/authReducer";

let mapStateToProps = (state) => {
  return {
    loggedIn: state.authReducer.token
  }
};

let mapDispatchToProps = (dispatch) => {
  return {
    auth: (login, password) => {
      dispatch(actionFullLogin(login, password));
    }, 
    
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(MainLogin);
