import MainOneGood from "./MainOneGood";
import { connect } from "react-redux";
import { actionGoodById } from "../../../redux/promiseReducer";
import { actionCartAdd } from "../../../redux/cartReducer";

let mapStateToProps = (state) => {
  return {
    good: state.promiseReducer.goodById?.payload?.data?.GoodFindOne,
  };
};

let mapDispatchToProps = (dispatch) => {
  return {
    drawGoodById: (_id) => {
      dispatch(actionGoodById(_id));
    },
    actionCartAdd: (good) => {
      dispatch(actionCartAdd(good));
    },
  };
};

export default connect(mapStateToProps, mapDispatchToProps)(MainOneGood);
